From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/ampache/
Date: Sat, 23 Apr 2016 17:01:49 +0000 (UTC) [thread overview]
Message-ID: <1461430890.792a61996f9d16b6df7de06566c0e173235d233e.k_f@gentoo> (raw)
commit: 792a61996f9d16b6df7de06566c0e173235d233e
Author: Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 17:01:15 2016 +0000
Commit: Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 17:01:30 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=792a6199
www-apps/ampache: Version bump 3.8.2
Gentoo-Bug: 575862
Package-Manager: portage-2.2.28
www-apps/ampache/Manifest | 1 +
www-apps/ampache/ampache-3.8.2.ebuild | 49 +++++++++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/www-apps/ampache/Manifest b/www-apps/ampache/Manifest
index 07355e1..ebd835f 100644
--- a/www-apps/ampache/Manifest
+++ b/www-apps/ampache/Manifest
@@ -1 +1,2 @@
DIST 3.8.1.tar.gz 7938754 SHA256 2eff94b5674ceb3cfc3a53c1addb297b016f74b1e732f17e9d05920f2ed2a35a SHA512 70151a2f28ab8998fea9be2817bd9ba7e80eea1aa78867d69f0e250bea7e9f025825566a0b80d06de09c6d73352f6951922cc52da98370c3c341edabffbc6061 WHIRLPOOL f67fc41cf4d25512d2b0834e9903f59e230aeeb0ab9e92394ebc9ae938cabed3de47fae00e1595d3a402f94b7e8d9ed00e5215977f81a972e9e3cd8acc994d82
+DIST 3.8.2.tar.gz 8083716 SHA256 920509ed018695ac4698fc257b27a30eebb34e4199da2436954c6a30ba378fb9 SHA512 ed81ac0a3c052efc363104fc5f64c7ea6ee4db49c01473be763ef550c8c5c665d79f4a91fd2047332086b99fa09b1427a6e605055f62c693f42f95daf3b7bb98 WHIRLPOOL 3e338443bd17c2071bc291bb3e67c464ec06152d1e5838fbe5a39ddda3a0dad5d24697112ce81837caeeda79efc7938adef2f8bd5767a5463de6f600ac0c4696
diff --git a/www-apps/ampache/ampache-3.8.2.ebuild b/www-apps/ampache/ampache-3.8.2.ebuild
new file mode 100644
index 0000000..52b08a8
--- /dev/null
+++ b/www-apps/ampache/ampache-3.8.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit webapp
+
+DESCRIPTION="PHP-based tool for managing,updating and playing audio files via a web interface"
+HOMEPAGE="http://www.ampache.org/"
+SRC_URI="https://github.com/ampache/ampache/archive/${PV}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="aac flac mp3 ogg transcode"
+
+RDEPEND="dev-lang/php[gd,hash,iconv,mysql,pdo,session,unicode,xml,zlib]
+ transcode? ( media-sound/lame
+ aac? ( || ( media-libs/faad2 media-sound/alac_decoder ) )
+ flac? ( media-libs/flac )
+ mp3? ( media-sound/mp3splt )
+ ogg? ( media-sound/mp3splt media-sound/vorbis-tools )
+ )"
+DEPEND=""
+
+need_httpd_cgi
+
+src_install() {
+ webapp_src_preinst
+
+ doman docs/man/man1/ampache.1
+ rm -rf docs/man || die "Unable to remove local man dir"
+
+ dodoc docs/*
+ rm -rf docs/ || die "Unable to remove local docs dir"
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ webapp_postinst_txt en "${FILESDIR}"/installdoc.txt
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Install and upgrade instructions can be found here:"
+ elog " /usr/share/doc/${P}/INSTALL.bz2"
+ elog " /usr/share/doc/${P}/MIGRATION.bz2"
+ webapp_pkg_postinst
+}
next reply other threads:[~2016-04-23 17:01 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-04-23 17:01 Kristian Fiskerstrand [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-04-04 21:38 [gentoo-commits] repo/gentoo:master commit in: www-apps/ampache/ Brian Evans
2020-03-31 12:47 Brian Evans
2018-06-30 13:58 Kristian Fiskerstrand
2017-07-08 13:43 Kristian Fiskerstrand
2017-06-30 11:10 Agostino Sarubbo
2017-06-28 13:19 Agostino Sarubbo
2017-06-25 18:19 Kristian Fiskerstrand
2016-07-30 14:16 Mike Gilbert
2016-01-18 8:56 Kristian Fiskerstrand
2016-01-17 17:28 Agostino Sarubbo
2016-01-11 10:56 Agostino Sarubbo
2016-01-08 17:05 Kristian Fiskerstrand
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1461430890.792a61996f9d16b6df7de06566c0e173235d233e.k_f@gentoo \
--to=k_f@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox